# Reno desktop - awesomewm || ( openbox && xfce )

Reno is an evolution of my previous configuration, https://512mb.org/git/Yessiest/awesome. This time, this bad boy can fit 90% more configuration options, through the use of AWMTK2 (or RenoTK, never really decided on the name).

Through advancements in the ~~science~~ dark magic art of lua metatablery, AWMTK2 makes it possible to create complex and visually rich themes, while mainting relatively low memory footprint.

Thanks to the ethically questionable decision of employing JSON to Widget Layout conversion, this desktop allows for customization of panels, context menus, lock screens, and other widget containers of various sizes and shapes.

## Screenshots

#### Current default theme, Reno98
![Totally not windows 98 trust me it's legally distinct](https://512mb.org/git/Yessiest/reno/raw/branch/master/extra/screenshots/reno98.png)

#### An iteration on the look of Ubuntu with Ambiance theme
![Totally not ubuntu guys this how can't you see that](https://512mb.org/git/Yessiest/reno/raw/branch/master/extra/screenshots/unity.png)

## Installation

The installation process is not much different from the previous iteration, except this time the window manager does not crash if you don't install luapam. Instead, the lock widget will simply refuse to operate.

1. `git clone` the repository to your .config folder
2. Rename `reno` folder to `awesome`
3. Install AwesomeWM (version 4.3 as of right now)
4. (Optional) Read additional installation steps in `extra/README.md`

## Roadmap

- [x] Port widgets from original config to AWMTK2
- [x] Finish Reno98 theme
- [ ] Add a GTK configuration app
- [ ] Port Ubuntu themes from original config to AWMTK2
- [ ] Release docs and recommendations for theme and widget creation
- [ ] De-hardcode keybinding system

## License

```
    Reno98 desktop - a flexible awesomewm config
    Copyright (C) 2022 yessiest (yessiest@memeware.net)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.
```
